﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace Sample {
    public class Employee: INotifyPropertyChanged{

		private string imageFile;
		public string ImageFile {
			get { return this.imageFile; }
			set {
				if (this.imageFile != value) {
					this.imageFile = value;
					OnPropertyChanged("ImageFile");
				}
			}
		}

        private string employeeNo;
        public string EmployeeNo {
            get { return this.employeeNo; }
            set {
                if (this.employeeNo != value) {
                    this.employeeNo = value;
                    OnPropertyChanged("EmployeeNo");
                }
            }
        }

        private string firstName;
        public string FirstName {
            get { return this.firstName; }
            set {
                if (this.firstName != value) {
                    this.firstName = value;
                    OnPropertyChanged("FirstName");
                }
            }
        }

        private string firstNameRubi;
        public string FirstNameRubi {
            get { return this.firstNameRubi; }
            set {
                if (this.firstNameRubi != value) {
                    this.firstNameRubi = value;
                    OnPropertyChanged("FirstNameRubi");
                }
            }
        }

        private string familyName;
        public string FamilyName {
            get { return this.familyName; }
            set {
                if (this.familyName != value) {
                    this.familyName = value;
                    OnPropertyChanged("FamilyName");
                }
            }
        }

        private string familyNameRubi;
        public string FamilyNameRubi {
            get { return this.familyNameRubi; }
            set {
                if (this.familyNameRubi != value) {
                    this.familyNameRubi = value;
                    OnPropertyChanged("FamilyNameRubi");
                }
            }
        }

        private DateTime enterDay;
        [TypeConverter(typeof(DateTimeTypeConverter))]
        public DateTime EnterDay {
            get { return this.enterDay; }
            set {
                if (this.enterDay != value) {
                    this.enterDay = value;
                    OnPropertyChanged("EnterDay");
                }
            }
        }

        private DateTime birthDay;
        [TypeConverter(typeof(DateTimeTypeConverter))]
        public DateTime BirthDay {
            get { return this.birthDay; }
            set {
                if (this.birthDay != value) {
                    this.birthDay = value;
                    OnPropertyChanged("BirthDay");
                }
            }
        }

        private string department;
        public string Department {
            get { return this.department; }
            set {
                if (this.department != value) {
                    this.department = value;
                    OnPropertyChanged("Department");
                }
            }
        }

        private string postalCode;
        public string PostalCode {
            get { return this.postalCode; }
            set {
                if (this.postalCode != value) {
                    this.postalCode = value;
                    OnPropertyChanged("PostalCode");
                }
            }
        }

        private string address1;
        public string Address1 {
            get { return this.address1; }
            set {
                if (this.address1 != value) {
                    this.address1 = value;
                    OnPropertyChanged("Address1");
                }
            }
        }

        private string address2;
        public string Address2 {
            get { return this.address2; }
            set {
                if (this.address2 != value) {
                    this.address2 = value;
                    OnPropertyChanged("Address2");
                }
            }
        }

        private string address3;
        public string Address3 {
            get { return this.address3; }
            set {
                if (this.address3 != value) {
                    this.address3 = value;
                    OnPropertyChanged("Address3");
                }
            }
        }

        private string telephoneNo;
        public string TelephoneNo {
            get { return this.telephoneNo; }
            set {
                if (this.telephoneNo != value) {
                    this.telephoneNo = value;
                    OnPropertyChanged("TelephoneNo");
                }
            }
        }

        private string cellphoneNo;
        public string CellphoneNo {
            get { return this.cellphoneNo; }
            set {
                if (this.cellphoneNo != value) {
                    this.cellphoneNo = value;
                    OnPropertyChanged("CellphoneNo");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string propertyName) {
            if (PropertyChanged != null) {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }

    public class Employees : ObservableCollection<Employee> {

    }
}
